Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsMetaData

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsMetaData

All Implemented Interfaces:
  javax.resource.spi.ManagedConnectionMetaData

public class JmsMetaData
extends Object
implements javax.resource.spi.ManagedConnectionMetaData

??? Created: Sat Mar 31 03:36:27 2001

Version:
  $Revision: 1.1 $
Author:
  Peter Antman.

Constructor Summary
`JmsMetaData(JmsManagedConnection mc)`

Method Summary
`String` | `getEISProductName()`
`String` | `getEISProductVersion()`
`int` | `getMaxConnections()`
`String` | `getUserName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsMetaData

    public JmsMetaData(JmsManagedConnection mc)

Method Detail

### getEISProductName

    public String getEISProductName()
                             throws javax.resource.ResourceException

  Specified by:
    `getEISProductName` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Throws:
    `javax.resource.ResourceException`

### getEISProductVersion

    public String getEISProductVersion()
                                throws javax.resource.ResourceException

  Specified by:
    `getEISProductVersion` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Throws:
    `javax.resource.ResourceException`

### getMaxConnections

    public int getMaxConnections()
                          throws javax.resource.ResourceException

  Specified by:
    `getMaxConnections` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Throws:
    `javax.resource.ResourceException`

### getUserName

    public String getUserName()
                       throws javax.resource.ResourceException

  Specified by:
    `getUserName` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.